<?php

namespace WpBookingProAdmin\app\views\wishlist;

use WpBookingPro\Html\ToolBar;
use WpBookingPro\Mvc\Model\Model;
use WpBookingPro\Mvc\View\View;
use WpBookingPro\Factory as FactoryAlias;
use WpBookingProAdmin\app\helpers\AdminHelper;

class WishlistView extends View
{
    public function display($tpl)
    {
        $modelwishlist = Model::getInstance("wishlist");
        $input = FactoryAlias::getInput();
        switch ($tpl) {
            case "list":
                ToolBar::delete("wishlist.delete_list");
                ToolBar::_clone("wishlist.clone_list");
                $model = Model::getInstance("wishlists");
                $this->list = $model->getList();
                $this->permission = AdminHelper::setPermission();
                break;
        }
        return parent::display($tpl);
    }
}